// load in and process data 
import {
  csv,
} from 'd3';

export const loadAndProcessData = () => 

csv('https://vizhub.com/KCachel/datasets/londonairqualityDateVariables.csv')
  .then(data => {
    data.forEach(d => {
    d.Year = +d.Year;
    d.Date = new Date(d.Date);
    d.Roadside_NitricOxide = +d.Roadside_NitricOxide;
    d.Roadside_NitrogenDioxide = +d.Roadside_NitrogenDioxide;
    d.Roadside_OxidesofNitrogen = +d.Roadside_OxidesofNitrogen;
    d.Roadside_Ozone = +d.Roadside_Ozone;
    d.Roadside_PM10 = +d.Roadside_PM10;
    d['Roadside_PM2.5'] = +d['Roadside_PM2.5']; 
    d.Roadside_SulphurDioxide = +d.Roadside_SulphurDioxide;
    d.Background_NitricOxide = +d.Background_NitricOxide;
    d.Background_NitrogenDioxide = +d.Background_NitrogenDioxide;
    d.Background_OxidesofNitrogen = +d.Background_OxidesofNitrogen;
    d.Background_Ozone = +d.Background_Ozone;
    d.Background_PM10 = +d.Background_PM10;
    d['Background_PM2.5'] = +d['Background_PM2.5'];
    d.Background_SulphurDioxide = d.Background_SulphurDioxide;
     
    });

    
  return data;
});